"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Router = void 0;
const Router = (handlers = []) => {
    const buildHandler = (method) => (path, body) => (handler) => exports.Router([{ method, url: path, handler, body }, ...handlers]);
    return {
        handlers,
        get: buildHandler('get'),
        head: buildHandler('head'),
        options: buildHandler('options'),
        post: buildHandler('post'),
        put: buildHandler('put'),
        delete: buildHandler('delete'),
    };
};
exports.Router = Router;
